# Loki::RejectNullStatic< P > Struct Template Reference
[Checking policies]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<class P>
struct Loki::RejectNullStatic< P >

Implementation of the CheckingPolicy used by SmartPtr Checks the pointer upon initialization and before dereference

The documentation for this struct was generated from the following file:

- SmartPtr.h